6.0.0-git
2019-04-23

[#11193] Maps-Driver loaded over insecure http protokol
Summary Maps-Driver loaded over insecure http protokol
Queue Kronolith
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners mrubinsk (at) horde (dot) org
Requester michael.groene (at) zel (dot) uni-hannover (dot) de
Created 2012-05-14 (2535 days ago)
Due
Updated 2012-08-29 (2428 days ago)
Assigned 2012-05-15 (2534 days ago)
Resolved 2012-07-21 (2467 days ago)
Milestone
Patch No

History
2012-08-29 12:44:31 Git Commit Comment #6 Reply to this comment
Changes have been made in Git (master):

commit fc7c11dd6ff3f6eee379822f1617971ba47c77c7
Author: Jan Schneider <jan@horde.org>
Date:   Sat Jul 21 22:07:18 2012 +0200

     [mjr] Request SSL connection from map providers if using SSL (Bug #11193).

  horde/docs/CHANGES |    1 +
  horde/package.xml  |    2 ++
  2 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/fc7c11dd6ff3f6eee379822f1617971ba47c77c7
2012-08-29 12:44:14 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit dcf481bddc9d95bbed57b0f0575737b89f347fe3
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Jul 20 22:15:41 2012 -0400

     Bug: 11193  Request SSL connection from map providers if using SSL.

  horde/js/map/map.js         |    8 +++++---
  kronolith/lib/Kronolith.php |    1 +
  2 files changed, 6 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/dcf481bddc9d95bbed57b0f0575737b89f347fe3
2012-07-21 20:38:53 Git Commit Comment #4 Reply to this comment
Changes have been made in Git (develop):

commit fc7c11dd6ff3f6eee379822f1617971ba47c77c7
Author: Jan Schneider <jan@horde.org>
Date:   Sat Jul 21 22:07:18 2012 +0200

     [mjr] Request SSL connection from map providers if using SSL (Bug #11193).

  horde/docs/CHANGES |    1 +
  horde/package.xml  |    2 ++
  2 files changed, 3 insertions(+), 0 deletions(-)

http://git.horde.org/horde-git/-/commit/fc7c11dd6ff3f6eee379822f1617971ba47c77c7
2012-07-21 02:20:32 Michael Rubinsky State ⇒ Resolved
 
2012-07-21 02:19:46 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (FRAMEWORK_4):

commit 81e63aa0d80182adddd2bc921dd9532f025b6fb2
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Jul 20 22:15:41 2012 -0400

     Bug: 11193  Request SSL connection from map providers if using SSL.

     Conflicts:

             kronolith/lib/Kronolith.php

  horde/js/map/map.js         |    8 +++++---
  kronolith/lib/Kronolith.php |    1 +
  2 files changed, 6 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/81e63aa0d80182adddd2bc921dd9532f025b6fb2
2012-07-21 02:16:29 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (develop):

commit dcf481bddc9d95bbed57b0f0575737b89f347fe3
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Jul 20 22:15:41 2012 -0400

     Bug: 11193  Request SSL connection from map providers if using SSL.

  horde/js/map/map.js         |    8 +++++---
  kronolith/lib/Kronolith.php |    1 +
  2 files changed, 6 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/dcf481bddc9d95bbed57b0f0575737b89f347fe3
2012-05-15 17:20:28 Jan Schneider Assigned to Michael Rubinsky
State ⇒ Assigned
 
2012-05-14 08:45:34 michael (dot) groene (at) zel (dot) uni-hannover (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Maps-Driver loaded over insecure http protokol
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Our H4-site is available via https. When switching to kronolith, the 
Browser complains about unencrypted contents.
I found out, that this is due to the google-maps scripts:
/js/map/map.js:
     _getProviderUrl: function(p)
     {
         switch (p) {
         case 'Google':
            return   
'http://maps.google.com/maps/api/js?v=3.5&amp;sensor=false';
         case 'Yahoo':
             return 'http://api.maps.yahoo.com/ajaxymap?v=3.8&appid=
+ this.conf['apikeys']['yahoo'];
         case 'Ve':
             return 
'http://dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6.1';

         default:
             return '';
         }
     },

replacing http -> https works for the google-site, the other we don't use.

Saved Queries